#include <bits/stdc++.h>

using namespace std;

int n,x,y,rez=0;
int nizx[200005];
int nizy[200005],niz1[200005];
int main () {
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>nizx[i]>>nizy[i];
        niz1[nizx[i]]++;
    }
    for(int i=1;i<=n;i++){
        if(niz1[i]==0){
            rez++;
        }
    }
    cout<<rez<<endl;
    return 0;

}